<template>
  <div>
   <div v-for="(item,index) in DataList">
       <span>
            <br/> {{item.AduitStatus}}   {{item.NodeName}}
            <span v-for="(subItem,subIndex) in item.SubList">
                审核人 {{subItem.AduitName}}<br/>
                备注 {{subItem.Description}}<br/>
                时间 {{subItem.CreateTime}}<br/>
            </span>
       </span>
   </div>
  </div>
</template>

<script>
  import {
    queryBackBillAduitInfo
  } from '../../api/sale/bill'
  export default {
    props: {
      setingObj: {
        type: Object,
        default: null
      }
    },
    components: {

    },
    data() {
      return {
        persistent: true,
        qMsg: {
          BackId: 0
        },
        DataList: []
      }
    },
    created() {
      this.qMsg.BackId = this.setingObj.BackId;
    },
    mounted() {
      this.getStuBaclFlow();
      console.log("setingObj", this.setingObj);
    },
    methods: {
      getStuBaclFlow() {
        queryBackBillAduitInfo(this.qMsg).then(res => {
          console.log("res", res);
          this.DataList = res.Data;
        })
      }
    },
  }

</script>
